Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>

Path Parameters

id
string
required

UUID of the silo entry to update.

Example:

"347c5b04-cde2-11ed-afa1-0242ac120002"

Body

application/json
allow_invalid
boolean

When true, the updated envelope's contents are allowed to be invalid.

Example:

true

content_type
string

The content type of the data being uploaded which by default expects application/json for a complete document, simple merge patch application/merge-patch+json (RFC7396), or a line-by-line patch application/json-patch+json (RFC6902)

Example:

"application/json"

data
Data · object | null

Updated envelope data either a complete envelope or document, or patched data according to the content type.

folder
string

New location for the silo entry.

Example:

"drafts"

sign
boolean

When true, the GOBL envelope will be signed automatically.

Example:

false

Response

200 - application/json

OK

attachments
Attachments · object[]

List of files for this entry.

context
string

When entry provided within a related query, this is the context within the document.

Example:

"line.item"

created_at
string

The date and time the silo entry was created.

Example:

"2018-01-01T00:00:00.000Z"

data
Data · object

JSON envelope contents when specifically requested.

digest
object
doc_schema
string

Schema URL for the envelope's payload.

Example:

"https://gobl.org/draft-0/bill/invoice"

draft
boolean

Deprecated. When true, indicates that the envelope is not signed.

Example:

true

env_schema
string

Schema URL for the envelope.

Example:

"https://gobl.org/draft-0/envelope"

faults
Faults · object[]

List of faults that occurred during the processing of the job associated with the last state.

folder
string

Key for the folder where the entry is located.

Example:

"sales"

id
string

UUID of the silo entry.

Example:

"347c5b04-cde2-11ed-afa1-0242ac120002"

invalid
boolean

When true, the envelope's contents are invalid and need to be reviewed.

Example:

true

key
string

Key used to identify the entry idempotently within a workspace.

Example:

"invoice-101"

meta
Meta · object[]

Additional meta fields associated with the entry.

signed
boolean

When true, the envelope has been signed and should not be modified.

Example:

true

snippet
Snippet · object

JSON object containing a snippet of the document.

Example:
state
string

Current state of the silo entry if not a draft.

Example:

"sent"

tags
string[]

Copy of tags stored in the envelope header.

updated_at
string

The date and time the silo entry was last updated.

Example:

"2018-01-01T00:00:00.000Z"